LargeDataObject-class {limma} | R Documentation

## Large Data Object - class

### Description

A virtual class including the data classes `RGList`, `MAList` and `MArrayLM`, all of which typically contain large quantities of numerical data in vector, matrices and data.frames.

### Methods

A `show` method is defined for objects of class `LargeDataObject` which uses `printHead` to print only the leading elements or rows of components or slots which contain large quantities of data.

### Author(s)

Gordon Smyth

### See Also

02.Classes gives an overview of all the classes defined by this package.

### Examples

    #  see normalizeBetweenArrays

[Package limma version 2.16.5 Index]